Removeツール

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Remove and the translation is 24% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Arch Add.svg Add component
Next: Survey Arch Survey.svg Arrow-right.svg

Arch Remove.svg {{{Name/jp}}}

メニュー位置
Arch -> Remove
ワークベンチ
建築
デフォルトのショートカット
None
参照
Arch Add


説明

Removeツールは2種類の操作を提供します:

  • Archオブジェクトからサブコンポーネントを取り除きます。例えばArch Addの例のような壁に追加されていた直方体を壁から取り除きます。
  • シェイプベースのオブジェクトを骨組みといった Archコンポーネントから減算します。

The counterpart of this tool is the Arch Add tool.

Arch Remove example.jpg

上の図では壁から直方体を減算しています

使用方法

  • Archオブジェクト内のサブコンポーネントを選択してください。あるいは
  • 減算されるオブジェクト(複数可)を選択してからそれらを減算するArchコンポーネントを選択してください(Archコンポーネントは最後に選択しなければなりません)
  • Arch Remove.png Removeボタンを押してください

Or

  1. Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
  2. Press the Arch Remove.svg Remove button.

スクリプト処理

The Remove tool can be used in macros and from the Python console by using the following function:

removeComponents(objectsList, host=None)
  • Removes the given objects in objectsList from their parents.
  • If a host object is specified, this function will try adding the objects in objectsList as holes to the host.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Previous: Arch Add.svg Add component
Next: Survey Arch Survey.svg Arrow-right.svg